Get sale
Retrieves the sale for a customer by transaction ID.
sso-keyAuthorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
customerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$"my"transactionId*stringTransaction ID of a sale
X-Request-Id?stringA unique identifier for the request
Successful response containing one sale data
application/json- response
Sale contains sale info for a listing that has sold
cancelReason?stringReason for cancelling a sale
"BUYER_TRANSFER_FAILURE""MUTUALLY_CANCELLED""RESELLER_CANCELLATION_REQUEST""SELLER_TRANSFER_FAILURE""SYSTEM_TRANSFER_FAILURE"commission?integerAmount of seller commission. Currency micro unit positive. 1 USD == 1000000
int64name?stringAn aname is a DNS domain name using only LDH characters (lower-case ASCII
letters, digits & hyphens) in its labels, i.e. is IDNA2008-encoded in the case
of an internationalized domain name (IDN).
Examples:
example.orgxn--exmple-cua.de
Invalid Examples:
PartialCapExample.com- mixed case, should be lowercased
exämple.de- this is an IDN and should be IDNA-encoded
^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z0-9][a-z0-9-]{0,61}[a-z0-9]$anamesalePrice?integerPrice at which listing was sold. Currency micro unit positive. 1 USD == 1000000
int64saleTotal?integerTotal amount of the sale including tax. Currency micro unit positive. 1 USD == 1000000
int64soldAt?stringDate when the sale happens
iso-datetimedisbursedAt?stringDate when the payout happens
iso-datetimestatus?stringThe sale status of a listing once it has moved to fulfillment
"AWAITING_AUTH_CODE""AWAITING_PAYEE_INFO""AWAITING_PAYEE_UPDATE""AWAITING_TRANSFER_OWNERSHIP""CANCELLED""CANCEL_REQUESTED""COMPLETED""CONFIRMED_TRANSFER""LEASE_FULLY_PAID""PAID_LEASE_INSTALLMENT""PENDING""PENDING_PAYOUT""PENDING_TRANSFER""PENDING_TRANSFER_INSTRUCTIONS""SCHEDULED_PAYOUT""UNKNOWN"transactionId?stringTransaction ID of a sale
authCode?stringAuthorization code for transferring the domain
saleType?stringType of sale transaction (BUYNOW or LEASED)
"BUYNOW""LEASED"installmentAmount?integerAmount of each installment for leased sales. Currency micro unit positive. 1 USD == 1000000. Only populated for LEASED sales.
int64nextInstallmentDate?stringDate of the next installment payment. Only populated for LEASED sales.
prevInstallmentDate?stringDate of the previous installment payment. Only populated for LEASED sales.
totalInstallments?integerTotal number of installments for the lease. Only populated for LEASED sales.
int32totalInstallmentsPaid?integerNumber of installments already paid. Only populated for LEASED sales.
int32curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/sales/string'{ "cancelReason": "SELLER_TRANSFER_FAILURE", "commission": 2000000000, "name": "example.com", "salePrice": 2000000000, "saleTotal": 2000000000, "soldAt": "string", "disbursedAt": "string", "status": "PENDING", "transactionId": "001d7566-5a43-11e9-82e3-fa163ebaed2e", "authCode": "ABC123XYZ", "saleType": "BUYNOW", "installmentAmount": 10000000, "nextInstallmentDate": "2024-02-01", "prevInstallmentDate": "2024-01-01", "totalInstallments": 12, "totalInstallmentsPaid": 3}